summarylogtreecommitdiffstats
path: root/linux-gpib.install
diff options
context:
space:
mode:
authorSpyros Stathopoulos2015-12-08 15:16:26 +0200
committerSpyros Stathopoulos2015-12-08 15:16:26 +0200
commit9334978f8d0dfe53cd35872bf61686e4a392846d (patch)
treef2e84d48bc43476042ab4923e91e2aab5b29a56b /linux-gpib.install
parenteac5ff3998ce30f968e77a12d2bab17f3056a39e (diff)
downloadaur-9334978f8d0dfe53cd35872bf61686e4a392846d.tar.gz
Update to version 4.0.2
Diffstat (limited to 'linux-gpib.install')
-rw-r--r--linux-gpib.install9
1 files changed, 7 insertions, 2 deletions
diff --git a/linux-gpib.install b/linux-gpib.install
index a28d39424b35..fbdcbac70d39 100644
--- a/linux-gpib.install
+++ b/linux-gpib.install
@@ -1,5 +1,9 @@
post_install() {
-/bin/cat << EOF
+
+ getent group gpib || groupadd -r gpib
+ udevadm control --reload-rules 2>/dev/null
+
+ cat << EOF
===> You must load gpib modules manually before starting gpib_config
===> For example:
===> # modprobe ni_usb_gpib
@@ -8,10 +12,11 @@ EOF
}
post_upgrade() {
- depmod $(uname -r)
+ post_install
echo 'In order to use the new version, reload all gpib modules manually.'
}
post_remove() {
+ groupdel gpib >/dev/null 2>&1 || true
depmod $(uname -r)
}